import { BusinessRoleType, CopilotService } from '@metad/copilot';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class NgmCopilotService extends CopilotService {
    readonly translate: TranslateService;
    readonly lang: import("@angular/core").Signal<string>;
    readonly defaultRoleI18n: import("@angular/core").Signal<any>;
    readonly roles: import("@angular/core").WritableSignal<BusinessRoleType[]>;
    readonly allRoles: import("@angular/core").Signal<(BusinessRoleType | {
        name: string;
        title: any;
        description: any;
    })[]>;
    readonly role: import("@angular/core").WritableSignal<string>;
    readonly roleDetail: import("@angular/core").Signal<BusinessRoleType | {
        name: string;
        title: any;
        description: any;
    }>;
    readonly rolePrompt: import("@angular/core").Signal<string>;
    constructor();
    setRole(role: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmCopilotService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgmCopilotService>;
}
